com.hazelcast.jet.function

## Interface DistributedDoubleUnaryOperator

- All Superinterfaces:
    DoubleUnaryOperator, Serializable
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface DistributedDoubleUnaryOperator
      extends DoubleUnaryOperator, Serializable

  `Serializable` variant of `java.util.function.DoubleUnaryOperator` which declares checked exception.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default DistributedDoubleUnaryOperator` | `andThen(DistributedDoubleUnaryOperator after)` `Serializable` variant of `java.util.function.DoubleUnaryOperator#andThen(DoubleUnaryOperator)`.
    `default double` | `applyAsDouble(double operand)`
    `double` | `applyAsDoubleEx(double operand)` Exception-declaring version of `DoubleUnaryOperator.applyAsDouble(double)`.
    `default DistributedDoubleUnaryOperator` | `compose(DistributedDoubleUnaryOperator before)` `Serializable` variant of `java.util.function.DoubleUnaryOperator#compose(DoubleUnaryOperator)`.
    `static DistributedDoubleUnaryOperator` | `identity()` `Serializable` variant of `java.util.function.DoubleUnaryOperator#identity()`.

    - ### Methods inherited from interface java.util.function.DoubleUnaryOperator

      `andThen, compose`

- - ### Method Detail

    - #### applyAsDoubleEx

          double applyAsDoubleEx(double operand)
                          throws Exception

      Exception-declaring version of `DoubleUnaryOperator.applyAsDouble(double)`.
      Throws:
        `Exception`

    - #### applyAsDouble

          default double applyAsDouble(double operand)

      Specified by:
        `applyAsDouble` in interface `DoubleUnaryOperator`

    - #### identity

          static DistributedDoubleUnaryOperator identity()

      `Serializable` variant of `java.util.function.DoubleUnaryOperator#identity()`.
      Specified by:
        `identity` in interface `DoubleUnaryOperator`

    - #### compose

          default DistributedDoubleUnaryOperator compose(DistributedDoubleUnaryOperator before)

      `Serializable` variant of `java.util.function.DoubleUnaryOperator#compose(DoubleUnaryOperator)`.

    - #### andThen

          default DistributedDoubleUnaryOperator andThen(DistributedDoubleUnaryOperator after)

      `Serializable` variant of `java.util.function.DoubleUnaryOperator#andThen(DoubleUnaryOperator)`.

Copyright © 2018. All rights reserved.